summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/dosym
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/dosym')
-rwxr-xr-xbin/ebuild-helpers/dosym14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/ebuild-helpers/dosym b/bin/ebuild-helpers/dosym
new file mode 100755
index 000000000..da31246cb
--- /dev/null
+++ b/bin/ebuild-helpers/dosym
@@ -0,0 +1,14 @@
+#!/bin/bash
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+if [[ $# -ne 2 ]] ; then
+ echo "$0: two arguments needed" 1>&2
+ exit 1
+fi
+
+destdir=${2%/*}
+[[ ! -d ${D}${destdir} ]] && dodir "${destdir}"
+
+exec ln -snf "$1" "${D}$2"